use crate::result::MBGResult;
use winit::event_loop::EventLoop;

pub fn get_max_resolution() -> MBGResult<(i32, i32)> {
    let event_loop = EventLoop::new();
    let monitors = event_loop.available_monitors();
    let mut max_height = 0;
    let mut max_width = 0;
    for monitor in monitors {
        if monitor.size().width >= max_width && monitor.size().height >= max_height {
            max_height = monitor.size().height;
            max_width = monitor.size().width;
        }
    }
    Ok((max_height as i32, max_width as i32))
}
